# Element Summary

Element | Description | Class
--- | --- | ---
component |  | org.apache.servicemix.quartz.QuartzComponent
cron |  | org.apache.servicemix.quartz.support.CronTriggerBean
endpoint |  | org.apache.servicemix.quartz.QuartzEndpoint
jobDetail |  | org.apache.servicemix.quartz.support.JobDetailBean
simple |  | org.apache.servicemix.quartz.support.SimpleTriggerBean

# Element Detail

## Element: component

Element | Type | Description
--- | --- | ---
endpoints | (endpoint)* |
executorFactory | <spring:bean/> | The executor factory to use to create the executor. If none is provided, one will be retrieved from the JBI container when the component is deployed into ServiceMix 3.x, or a default implementation will be used.
factory | <spring:bean/> |
scheduler | <spring:bean/> |

## Element: cron

Attribute | Type | Description
--- | --- | ---
beanName | xs:string |
calendarName | xs:string |
cronExpression | xs:string |
description | xs:string |
endTime | xs:date |
fireInstanceId | xs:string |
group | xs:string |
jobGroup | xs:string |
jobName | xs:string |
misfireInstruction | xs:integer |
misfireInstructionName | xs:string |
name | xs:string |
nextFireTime | xs:date |
previousFireTime | xs:date |
priority | xs:integer |
startDelay | xs:long |
startTime | xs:date |
volatility | xs:boolean |

Element | Type | Description
--- | --- | ---
jobDataAsMap | <spring:bean/> |
jobDataMap | <spring:bean/> |
jobDetail | jobDetail |
timeZone | <spring:bean/> |
triggerListenerNames | (<spring:bean/>)* |

## Element: endpoint

Attribute | Type | Description
--- | --- | ---
endpoint | xs:string | Get the endpoint implementation.
interfaceName | xs:QName | Get the qualified name of the endpoint interface.
service | xs:QName | Get the service qualified name of the endpoint.
targetEndpoint | xs:string | the name of the endpoint to which requests are sent
targetInterface | xs:QName | the QName of the interface to which requests are sent
targetOperation | xs:QName | the QName of the operation to which requests are sent
targetService | xs:QName | the QName of the service to which requests are sent
targetUri | xs:string | Gets the target URI of the consumer endpoint.

Element | Type | Description
--- | --- | ---
calendars | <spring:bean/> | A map with {@link org.quartz.Calendar} instances to define the trigger schedule.
jobDetail | jobDetail | Set a custom JobDetail bean to be used in the triggered events.
marshaler | <spring:bean/> | Set a custom marshaler class to translate the JobDetail information into a normalized message.
trigger | cron | simple | A single {@link org.quartz.Trigger} instance to define the trigger schedule.
triggers | (<spring:bean/>)* | A list of of {@link org.quartz.Trigger} instances to allow configuring multiple schedules for the same endpoint.

## Element: jobDetail

Attribute | Type | Description
--- | --- | ---
applicationContextJobDataKey | xs:string |
beanName | xs:string |
description | xs:string |
durability | xs:boolean |
group | xs:string |
jobClass | xs:string |
name | xs:string |
requestsRecovery | xs:boolean |
volatility | xs:boolean |

Element | Type | Description
--- | --- | ---
applicationContext | <spring:bean/> |
jobDataAsMap | <spring:bean/> |
jobDataMap | <spring:bean/> |
jobListenerNames | (<spring:bean/>)* |

## Element: simple

Attribute | Type | Description
--- | --- | ---
beanName | xs:string |
calendarName | xs:string |
description | xs:string |
endTime | xs:date |
fireInstanceId | xs:string |
group | xs:string |
jobGroup | xs:string |
jobName | xs:string |
misfireInstruction | xs:integer |
misfireInstructionName | xs:string |
name | xs:string |
nextFireTime | xs:date |
previousFireTime | xs:date |
priority | xs:integer |
repeatCount | xs:integer |
repeatInterval | xs:long |
startDelay | xs:long |
startTime | xs:date |
timesTriggered | xs:integer |
volatility | xs:boolean |

Element | Type | Description
--- | --- | ---
jobDataAsMap | <spring:bean/> |
jobDataMap | <spring:bean/> |
jobDetail | jobDetail |
triggerListenerNames | (<spring:bean/>)* |